Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdgf.chunks
Class ChunkHeaderV6

    java.lang.Object
      org.apache.poi.hdgf.chunks.ChunkHeader
          org.apache.poi.hdgf.chunks.ChunkHeaderV6

Direct Known Subclasses:
  ChunkHeaderV11

    public class ChunkHeaderV6

extends ChunkHeader

A chunk header from v6

Field Summary
`protected short` | `unknown2`
`protected short` | `unknown3`

Fields inherited from class org.apache.poi.hdgf.chunks.ChunkHeader
`id, length, type, unknown1`

Constructor Summary
`ChunkHeaderV6()`

Method Summary
`protected static int` | `getHeaderSize()`
`int` | `getSizeInBytes()`
`short` | `getUnknown2()`
`short` | `getUnknown3()`
`boolean` | `hasSeparator()` Does the chunk have a separator?
`boolean` | `hasTrailer()` Does the chunk have a trailer?

Methods inherited from class org.apache.poi.hdgf.chunks.ChunkHeader
`createChunkHeader, getHeaderSize, getId, getLength, getType, getUnknown1`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unknown2

    protected short unknown2

### unknown3

    protected short unknown3

Constructor Detail

### ChunkHeaderV6

    public ChunkHeaderV6()

Method Detail

### getUnknown2

    public short getUnknown2()

### getUnknown3

    public short getUnknown3()

### getHeaderSize

    protected static int getHeaderSize()

### getSizeInBytes

    public int getSizeInBytes()

  Specified by:
    `getSizeInBytes` in class `ChunkHeader`

### hasTrailer

    public boolean hasTrailer()

  Does the chunk have a trailer?

  Specified by:
    `hasTrailer` in class `ChunkHeader`

### hasSeparator

    public boolean hasSeparator()

  Does the chunk have a separator?

  Specified by:
    `hasSeparator` in class `ChunkHeader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.